model departTgv
  Modelica.Mechanics.Translational.Components.Mass mass1(m = 100000) annotation(Placement(visible = true, transformation(origin = {0, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force force1 annotation(Placement(visible = true, transformation(origin = {-46, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression realExpression1(y = 2300E3) annotation(Placement(visible = true, transformation(origin = {-86, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression vitesseKmh(y = mass1.v * 3600 / 1000) annotation(Placement(visible = true, transformation(origin = {-18, -40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(realExpression1.y, force1.f) annotation(Line(points = {{-74, 18}, {-58, 18}, {-58, 18}, {-58, 18}}, color = {0, 0, 127}));
  connect(force1.flange, mass1.flange_a) annotation(Line(points = {{-36, 18}, {-10, 18}, {-10, 18}, {-10, 18}}, color = {0, 127, 0}));
  annotation(uses(Modelica(version = "3.2.2")));
end departTgv;