model ouvertureParachute
  Modelica.Mechanics.Translational.Components.Mass mass1(m = 100)  annotation(Placement(visible = true, transformation(origin = {-4, 0}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Mechanics.Translational.Sources.Force force1 annotation(Placement(visible = true, transformation(origin = {-46, -12}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Blocks.Sources.RealExpression realExpression1(y = mass1.m * 9.81)  annotation(Placement(visible = true, transformation(origin = {-82, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force force2 annotation(Placement(visible = true, transformation(origin = {-4, 34}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Blocks.Sources.RealExpression realExpression2(y = -0.5 * 3.14 / 4 * 8 ^ 2 * mass1.v ^ 2) annotation(Placement(visible = true, transformation(origin = {-80, 84}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Logical.Switch switch1 annotation(Placement(visible = true, transformation(origin = {-26, 68}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression realExpression3(y = 0) annotation(Placement(visible = true, transformation(origin = {-80, 52}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.BooleanExpression booleanExpression1(y = time >= 4)  annotation(Placement(visible = true, transformation(origin = {-88, 68}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression vitesseChuteKmParHeure(y = mass1.v * 3600 / 1000) annotation(Placement(visible = true, transformation(origin = {-34, -64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(booleanExpression1.y, switch1.u2) annotation(Line(points = {{-76, 68}, {-38, 68}, {-38, 68}, {-38, 68}}, color = {255, 0, 255}));
  connect(realExpression3.y, switch1.u3) annotation(Line(points = {{-68, 52}, {-54, 52}, {-54, 60}, {-38, 60}, {-38, 60}}, color = {0, 0, 127}));
  connect(realExpression2.y, switch1.u1) annotation(Line(points = {{-68, 84}, {-48, 84}, {-48, 76}, {-38, 76}, {-38, 76}}, color = {0, 0, 127}));
  connect(switch1.y, force2.f) annotation(Line(points = {{-14, 68}, {-4, 68}, {-4, 46}, {-4, 46}}, color = {0, 0, 127}));
  connect(force2.flange, mass1.flange_a) annotation(Line(points = {{-4, 24}, {-4, 10}}, color = {0, 127, 0}));
  connect(realExpression1.y, force1.f) annotation(Line(points = {{-70, 18}, {-46, 18}, {-46, 0}, {-46, 0}}, color = {0, 0, 127}));
  connect(force1.flange, mass1.flange_b) annotation(Line(points = {{-46, -22}, {-46, -22}, {-46, -34}, {-4, -34}, {-4, -10}, {-4, -10}}, color = {0, 127, 0}));
  annotation(uses(Modelica(version = "3.2.2")));
end ouvertureParachute;